# Function forContract

- forContract(contract, settings?): Promise<ContractEncoder>

- This function is asynchronous.

  Constructs a contract encoder for a given contract.

  #### Parameters

  - ##### contract: ContractConstructorObject

    The contract the encoder is for. It should have all of its libraries linked.

  - ##### settings: EncoderSettings = {}

    The [[EncoderSettings]] to use; see the documentation for that type for more information. If absent, the encoder will be based on just the single contract provided; it is recommended to pass more information to get the encoder's full power.

  #### Returns Promise<ContractEncoder>

  - Defined in encoder/lib/index.ts:259

Generated using TypeDoc